---
id: credentialsdto
title: "CredentialsDto"
description: ""
sidebar_label: "CredentialsDto"
hide_title: true
hide_table_of_contents: true
schema: true
sample: {"id":"b86483f3-3792-4a54-b11e-f1c6face9935","targetDid":"did:example:456","credential":{"@context":["https://www.w3.org/2018/credentials/v1"],"type":["VerifiableCredential","DataSpaceCredential"],"issuer":"did:example:issuer","issuanceDate":"2023-10-01T00:00:00Z","credentialSubject":{"id":"did:example:subject"}},"selfIssued":true,"revoked":false,"statusListIndex":0,"createdDate":"2023-10-01T00:00:00Z","modifiedDate":"2023-10-02T00:00:00Z","deletedDate":"2023-10-03T00:00:00Z"}
custom_edit_url: null
---

import Schema from "@theme/Schema";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"CredentialsDto"}
>
</Heading>





<Schema
  schema={{"type":"object","properties":{"id":{"type":"string","example":"b86483f3-3792-4a54-b11e-f1c6face9935","description":"Unique identifier of the credential record"},"targetDid":{"type":"string","example":"did:example:456","description":"Target decentralized identifier"},"credential":{"example":{"@context":["https://www.w3.org/2018/credentials/v1"],"type":["VerifiableCredential","DataSpaceCredential"],"issuer":"did:example:issuer","issuanceDate":"2023-10-01T00:00:00Z","credentialSubject":{"id":"did:example:subject"}},"description":"The verifiable credential object","allOf":[{"type":"object","properties":{"@context":{"type":"array","example":["https://www.w3.org/2018/credentials/v1"],"items":{"type":"string","enum":["https://www.w3.org/2018/credentials/v1","https://www.w3.org/ns/credentials/v2","https://w3id.org/security/suites/jws-2020/v1","https://w3id.org/security/data-integrity/v2","string"]}},"type":{"example":["VerifiableCredential","TestCredential"],"type":"array","items":{"type":"string"}},"id":{"type":"string","example":"http://example.edu/credentials/1872"},"credentialSubject":{"additionalProperties":true,"example":{"id":"did:example:subject-1","customProp":"value"},"allOf":[{"type":"object","properties":{"id":{"type":"string","example":"did:example:subject-1"}},"required":["id"],"title":"CredentialSubject"}]},"issuer":{"type":"string","example":"did:example:issuer"},"issuanceDate":{"type":"string","example":"2020-01-01T00:00:00Z"},"expirationDate":{"type":"string","example":"2030-01-01T00:00:00Z"},"validFrom":{"type":"string","example":"2020-01-01T00:00:00Z"},"validUntil":{"type":"string","example":"2030-01-01T00:00:00Z"},"evidence":{"type":"object","additionalProperties":true,"example":{"type":"DocumentVerification","verifier":"did:example:verifier"}},"credentialStatus":{"oneOf":[{"type":"object","properties":{"id":{"type":"string","example":"did:example:credential-status"},"type":{"type":"string","enum":["BitstringStatusListEntry"],"example":"BitstringStatusListEntry"},"statusPurpose":{"type":"string","enum":["refresh","revocation","suspension","message"],"example":"suspension"},"statusListIndex":{"type":"string","example":"0"},"statusListCredential":{"type":"string","example":"did:example:status-credential"},"statusSize":{"type":"string","example":"10"},"statusMessage":{"example":[{"status":"deadbeef","message":"Status message detail"}],"type":"array","items":{"type":"object","properties":{"status":{"type":"string","example":"deadbeef"},"message":{"type":"string","example":"Status message detail"}},"required":["status","message"],"title":"StatusMessage"}},"statusReference":{"type":"string","example":"https://example.com/status"}},"required":["id","type","statusPurpose","statusListIndex","statusListCredential"],"title":"CredentialStatus"},{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"did:example:credential-status"},"type":{"type":"string","enum":["BitstringStatusListEntry"],"example":"BitstringStatusListEntry"},"statusPurpose":{"type":"string","enum":["refresh","revocation","suspension","message"],"example":"suspension"},"statusListIndex":{"type":"string","example":"0"},"statusListCredential":{"type":"string","example":"did:example:status-credential"},"statusSize":{"type":"string","example":"10"},"statusMessage":{"example":[{"status":"deadbeef","message":"Status message detail"}],"type":"array","items":{"type":"object","properties":{"status":{"type":"string","example":"deadbeef"},"message":{"type":"string","example":"Status message detail"}},"required":["status","message"],"title":"StatusMessage"}},"statusReference":{"type":"string","example":"https://example.com/status"}},"required":["id","type","statusPurpose","statusListIndex","statusListCredential"],"title":"CredentialStatus"}}]},"proof":{"example":[{"type":"JsonWebSignature2020","created":"2020-01-01T00:00:00Z","proofPurpose":"assertionMethod","jws":"eyJhbGciOiJFUzI1NiIsInR5cCI...","verificationMethod":"did:example:123456#key-1"}],"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["JsonWebSignature2020","DataIntegrityProof"],"example":"JsonWebSignature2020"},"proofPurpose":{"type":"string","example":"assertionMethod"}},"required":["type","proofPurpose"],"title":"Proof"}}},"required":["@context","type","credentialSubject","issuer","proof"],"title":"VerifiableCredential"}]},"selfIssued":{"type":"boolean","example":true,"description":"If the credential is self issued"},"revoked":{"type":"boolean","example":false,"description":"Indicates if the credential has been revoked"},"statusListIndex":{"type":"number","example":0,"description":"Optional status list index"},"createdDate":{"format":"date-time","type":"string","example":"2023-10-01T00:00:00Z","description":"Creation timestamp"},"modifiedDate":{"format":"date-time","type":"string","example":"2023-10-02T00:00:00Z","description":"Modification timestamp"},"deletedDate":{"format":"date-time","type":"string","example":"2023-10-03T00:00:00Z","description":"Optional deletion timestamp"}},"required":["id","targetDid","credential","selfIssued","revoked","createdDate","modifiedDate"],"title":"CredentialsDto"}}
  schemaType={"response"}
>
  
</Schema>
            